assignment of default org and location to new hosts makes org/location invalid
Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Puppet integration   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2702

  

Description

This change:  https://github.com/theforeman/foreman/commit/8809a63b93b3f79eecb33a4757c4c13d2cbf4421

meant that new hosts checking in with puppet were assigned to the default org and location (as determined by the settings).

The current fact importing creates domains and puppet env, but does not associate these items to the host's organization and

location.

In addition the location is not associated to the organization (which seems to also be causing a problem).

Steps to reproduce:

1) install foreman specifying a default org and location

2) let a puppet client check in

3) visit the org edit page

you'll notice lots of errors:

you cannot remove locations that are used by hosts or inherited.

you cannot remove domains that are used by hosts or inherited.

you cannot remove environments that are used by hosts or inherited.

Related issues:

Related to Foreman - Bug #9654: If taxonomies are seeded, they should be the ... Closed 03/05/2015

Associated revisions

Revision 7df48f20 - 09/11/2015 04:03 PM - Stephen Benjamin

refs #11776 - do not set default taxonomy settings by default

This reverts commit 8809a63b93b3f79eecb33a4757c4c13d2cbf4421.

History

#1 - 09/10/2015 03:02 PM - Stephen Benjamin

- Related to Bug #9654: If taxonomies are seeded, they should be the default orgs added

#2 - 09/10/2015 03:22 PM - Stephen Benjamin

This bug was always there, but my PR just exposed Katello to it now that it's a "default" thing.  After spending some time to see what I could do to fix

it, I'm inclined to revert the PR from #9654 so this brokenness isn't default behavior.

The actual fix I think would be pretty invasive and leaves open a million questions. It really goes to the core of some of the usability concerns of

taxonomies.

Should we really let host `import_facts` save with :validate => false? And the `set_taxonomies` method lets a host fact from the host determine the

taxonomies. Does that mean we let host fact automagically force put objects in different taxonomies? etc.
#3 - 09/10/2015 03:24 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2702 added

- Pull request deleted ()

#4 - 09/14/2015 03:10 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- Assignee set to Stephen Benjamin

- % Done changed from 0 to 100

- translation missing: en.field_release set to 63
